echo off

rem 解説
rem 使用カラム検索
rem 処理すべきファイルは、name 属性を含み、"<jsp:root" を含む .jsp です。

IF _%1==_SKIP (
	echo "init.bat SKIP"
) ELSE (
	call ..\init.bat
	set SYSTEM_ID=GF
	set JSP=C:\opengion\uap\webapps\gf\jsp
)

set XSL_FILE=%JSP%\DOC18\xsltV5\GF73_PROG.xsl
set OUT_FILE=GF73_PROG.xml
set TBL=GF73

java -classpath %CLASSPATH%;%CLS% org.opengion.fukurou.process.MainProcess	^
	org.opengion.fukurou.process.Process_FileSearch 		^
		-start=%JSP%									^
		-suffix=.jsp									^
		-maxLevel=2										^
	org.opengion.fukurou.process.Process_Grep			^
		-keyword="name"									^
	org.opengion.fukurou.process.Process_Grep			^
		-keyword="<jsp:root"							^
		-display=true									^
	org.opengion.fukurou.process.Process_XSLT			^
		-xslfile=%XSL_FILE%								^
		-outfile=%OUT_FILE%								^
		-useFileInfo=true								^
		-param_SYSTEM_ID=%SYSTEM_ID%					^
		-addROWSET="%TBL%"								^
		-header1="<EXEC_SQL>delete from %TBL% where SYSTEM_ID='%SYSTEM_ID%' and FGOMIT='0'</EXEC_SQL>"

IF _%1==_SKIP (
    echo "end"
) ELSE (
    pause
)
